Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84713 - bhcompile user in RPM
Summary: bhcompile user in RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 20:40 UTC by Peter Bowen
Modified: 2007-04-18 16:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-13 02:38:00 UTC


Attachments (Terms of Use)

Description Peter Bowen 2003-02-20 20:40:30 UTC
XFree86-xdm-4.2.99.902-20030218.0.i386.rpm gave the following warning when
installing:

warning: user bhcompile does not exist - using root

Comment 1 Mike A. Harris 2003-02-20 21:22:30 UTC
The X spec file specifies the files are owned by root, so this must be
an RPM bug or something.

### XFree86-xdm ######################################################
%files xdm
%defattr(-,root,root)

Comment 2 Mike A. Harris 2003-02-20 21:26:14 UTC
I've CC'd our rpm maintainer, and the keepers of the bees in case they
know of any rpm or buildsystem breakages that would result in rpm not
changing file ownerships during packaging.

Comment 3 Peter Bowen 2003-02-20 21:41:53 UTC
OK, after testing the packages, it turns out that the offending packages is the
XFree86 SRPM, which got left in the directory my mistake.

[pzb@localhost installed]$ rpm -qp --qf '[%{FILEUSERNAME} %{FILENAMES}\n]'
XFree86-4.2.99.902-20030218.0.src.rpm | grep -v '^root '
bhcompile fontconfig-2.1-slighthint.patch


Comment 4 Mike A. Harris 2003-02-20 21:59:44 UTC
File owner of files in src.rpm isn't that important IMHO.  I'm not sure
how it would be fixed either, but it would have to be done by the build
system or by rpm itself.

My own local automated build software changes the permissions on all files
listed in Source or Patch lines to be 0644, unless they are shell scripts
or similar, in which case they get 0755.  Then rpm builds a src.rpm package,
which if successful, the files in the src.rpm get rsync'd to devserv and
rpm on devserv builds the src.rpm then I pass it to beehive.  So the
packages going into beehive should have sane perms, but only root can
chown files, so all my files are owned by mharris going in.  Any files
owned by user "buildsys" are due to the Red Hat buildsystem, however
I do not consider that a bug in any way personally.  It might even make
sense to make all files owned by user "buildsys" in src.rpms to ensure
no files are SUID root or similar on unpacking.

Unless one of those CC'd sees a problem here that we need to fix in our
build system, I think we can safely close this NOTABUG now.  I'll leave
it open a few days for comments first though.

Comment 5 Peter Bowen 2003-02-20 22:15:00 UTC
yeah, I understand how the SRPMS work, but normally all SRPMS that are in
rawhide magically have all the files owned by root.  I don't know how they get
their ownership set, but I can't remember ever running across the beehive user
owning a file in the SRPM before. 

Comment 6 Mike A. Harris 2004-03-13 02:38:00 UTC
Not sure how rpm assigns ownership to the files in the src.rpm,
but all subpackages of the XFree86 packaging have the proper
defattr(-,root,root,-) on them.  I assume rpm itself just flags
the files as owned by root as they go to cpio or whatever.

This was probably a transient rpm bug or some weirdness of some sort
that worked itself out.  I don't think there was any XFree86 bug
causing this problem.

Closing as CURRENTRELEASE.  If the problem recurs, please reopen
bug report and reassign to 'rpm'.


Note You need to log in before you can comment on or make changes to this bug.